# Knowledge Base

## Overview

<mark style="color:blue;">`GET`</mark> `https://{{account_id}}.acquire.io/api/v1/analytics/kb/overview`

View data on content creation, search volume, and article feedback.

#### Query Parameters

| Name        | Type   | Description                                                                                                                                  |
| ----------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| start\_date | string | Date From (Date format = YYYY-MM-DD hh:mm:ss, e.g 2021-01-01 00:00:00)                                                                       |
| end\_date   | string | Date End (Date Format = YYYY-MM-DD hh:mm:ss, e.g 2021-01-01 23:59:59)                                                                        |
| offset      | string | This parameter is used for the timezone value and the default timezone will be "GMT". e.g. +05:30 for particular timezone. Default is +00:00 |
| output      | string | json or csv                                                                                                                                  |

#### Headers

| Name          | Type   | Description                       |
| ------------- | ------ | --------------------------------- |
| Authorization | string | Bearer \*\*\*YOUR\_API\_KEY\*\*\* |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "overview": {
      "data": {
        "graphRow": {
          "publishedArticles": [
            0,
            0
          ],
          "views": [
            0,
            0
          ],
          "reactions": [
            0,
            0
          ],
          "comments": [
            0,
            0
          ]
        },
        "summary": {
          "totalAngryReactions": {
            "current": 0,
            "previous": 0
          },
          "totalHappyReactions": {
            "current": 0,
            "previous": 0
          },
          "totalNormalReactions": {
            "current": 0,
            "previous": 0
          }
        }
      },
      "success": true,
      "output": "json"
    }
  }
}
```

{% endtab %}
{% endtabs %}

## Searches

<mark style="color:blue;">`GET`</mark> `https://{{account_id}}.acquire.io/api/v1/analytics/kb/searches`

Retrieve an overview of how easily searchable your Knowledge Base is.

#### Query Parameters

| Name        | Type   | Description                                                                                                                                  |
| ----------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| start\_date | string | Date From (Date format = YYYY-MM-DD hh:mm:ss, e.g 2021-01-01 00:00:00)                                                                       |
| end\_date   | string | Date End (Date Format = YYYY-MM-DD hh:mm:ss, e.g 2021-01-01 23:59:59)                                                                        |
| offset      | string | This parameter is used for the timezone value and the default timezone will be "GMT". e.g. +05:30 for particular timezone. Default is +00:00 |
| output      | string | json or csv                                                                                                                                  |

#### Headers

| Name          | Type   | Description                       |
| ------------- | ------ | --------------------------------- |
| Authorization | string | Bearer \*\*\*YOUR\_API\_KEY\*\*\* |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "searches": {
      "data": {
        "graphRow": {
          "labels": [
            "16 Mar 2020",
            "16 Apr 2020",
            "16 May 2020",
            "16 Jun 2020",
            "16 Jul 2020",
            "16 Aug 2020",
            "16 Sep 2020",
            "16 Oct 2020",
            "16 Nov 2020",
            "16 Dec 2020",
            "16 Jan 2021",
            "16 Feb 2021",
            "16 Mar 2021"
          ],
          "totalSearches": [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            3,
            3,
            14,
            0,
            13,
            0
          ],
          "successfulSearches": [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            3,
            0,
            3,
            0,
            7,
            0
          ],
          "unsuccessfulSearches": [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            3,
            11,
            0,
            6,
            0
          ]
        },
        "summary": {
          "totalSearches": {
            "current": 33,
            "previous": 0,
            "info": "The number of times a user queried your Knowledge Base."
          },
          "successfulSearches": {
            "current": 13,
            "previous": 0,
            "info": "The number of times a Knowledge Base query produced an article that was clicked."
          },
          "unsuccessfulSearches": {
            "current": 20,
            "previous": 0,
            "info": "The number of times a Knowledge Base query resulted in no article clicks."
          },
          "successRate": {
            "current": 39.39,
            "previous": 0
          }
        }
      },
      "success": true,
      "output": "json"
    }
  }
}
```

{% endtab %}
{% endtabs %}

## Most Popular Searches

<mark style="color:blue;">`GET`</mark> `https://{{account_id}}.acquire.io/api/v1/analytics/kb/most-popular-searches`

Retrieve a list of the most frequently searched terms in your Knowledge Base.

#### Query Parameters

| Name        | Type   | Description                                                                                                                                  |
| ----------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| start\_date | string | Date From (Date format = YYYY-MM-DD hh:mm:ss, e.g 2021-01-01 00:00:00)                                                                       |
| end\_date   | string | Date End (Date Format = YYYY-MM-DD hh:mm:ss, e.g 2021-01-01 23:59:59)                                                                        |
| offset      | string | This parameter is used for the timezone value and the default timezone will be "GMT". e.g. +05:30 for particular timezone. Default is +00:00 |
| output      | string | json or csv                                                                                                                                  |

#### Headers

| Name          | Type   | Description                       |
| ------------- | ------ | --------------------------------- |
| Authorization | string | Bearer \*\*\*YOUR\_API\_KEY\*\*\* |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "mostPopularSearches": {
      "data": {
        "graphRow": {
          "labels": [
            "test"
          ],
          "searches": [
            5
          ]
        }
      },
      "success": true,
      "output": "json"
    }
  }
}
```

{% endtab %}
{% endtabs %}

## All Questions Reporting

<mark style="color:blue;">`GET`</mark> `https://{{account_id}}.acquire.io/api/v1/analytics/kb/all-questions-reporting`

Retrieve view count and reaction data for articles.

#### Query Parameters

| Name        | Type   | Description                                                                                                                                  |
| ----------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| start\_date | string | Date From (Date format = YYYY-MM-DD hh:mm:ss, e.g 2021-01-01 00:00:00)                                                                       |
| end\_date   | string | Date End (Date Format = YYYY-MM-DD hh:mm:ss, e.g 2021-01-01 23:59:59)                                                                        |
| offset      | string | This parameter is used for the timezone value and the default timezone will be "GMT". e.g. +05:30 for particular timezone. Default is +00:00 |
| output      | string | json or csv                                                                                                                                  |

#### Headers

| Name          | Type   | Description                       |
| ------------- | ------ | --------------------------------- |
| Authorization | string | Bearer \*\*\*YOUR\_API\_KEY\*\*\* |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "allQuestionsReporting": {
      "data": {
        "graphRow": {
          "data": [
            {
              "article": "test1",
              "views": 1,
              "positive": 0,
              "satisfied": 0,
              "negative": 1
            },
            {
              "article": "test2",
              "views": 2,
              "positive": 1,
              "satisfied": 0,
              "negative": 0
            }
          ]
        }
      },
      "success": true,
      "output": "json"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/analytics/knowledge-base.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
